# Class GetBalancesRequest

#### Hierarchy

- unknown
  - GetBalancesRequest

- Defined in src/protobuf/grpc_pb.d.ts:2960
- Defined in src/protobuf/grpc_pb.d.ts:2972

#####
Index

### Constructors

constructor

### Methods

getCurrencyCode
serializeBinary
setCurrencyCode
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetBalancesRequest(): GetBalancesRequest

- #### Returns GetBalancesRequest

  Inherited from jspb.Message.constructor

## Methods

### getCurrencyCode

- getCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2961

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2964

### setCurrencyCode

- setCurrencyCode(value: string): GetBalancesRequest

- #### Parameters

  - ##### value: string

  #### Returns GetBalancesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2962

### toObject

- toObject(includeInstance?: boolean): GetBalancesRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetBalancesRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2965

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetBalancesRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetBalancesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2968

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetBalancesRequest, reader: BinaryReader): GetBalancesRequest

- #### Parameters

  - ##### message: GetBalancesRequest

  - ##### reader: BinaryReader

  #### Returns GetBalancesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2969

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetBalancesRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetBalancesRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2967

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetBalancesRequest): GetBalancesRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetBalancesRequest

  #### Returns GetBalancesRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2966

Generated using TypeDoc